GNU Radio's SATELLITES Package

gr::satellites::pdu_add_meta Class Reference

<+description of block+> More...

`#include <pdu_add_meta.h>`

Inheritance diagram for gr::satellites::pdu_add_meta:
[legend]

## Public Types
typedef boost::shared_ptr< pdu_add_meta > | sptr

## Static Public Member Functions
static sptr | make (pmt::pmt_t meta)
| Return a shared_ptr to a new instance of satellites::pdu_add_meta.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<pdu_add_meta> gr::satellites::pdu_add_meta::sptr

## Member Function Documentation

## ◆ make()

sptr gr::satellites::pdu_add_meta::make | ( | pmt::pmt_t | meta | ) |
| static

Return a shared_ptr to a new instance of satellites::pdu_add_meta.

To avoid accidental use of raw pointers, satellites::pdu_add_meta's constructor is in a private implementation class. satellites::pdu_add_meta::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- pdu_add_meta.h